

##### initialize variables
set sequence_start 3264
set sequence_finish 3427
set length 12
set start [expr "$sequence_start + $length"]
set finish [expr "$sequence_finish - $length"]

set frame_start 1
set frame_finish 1000
set n_frame [expr "$frame_finish - $frame_start + 1"]

##### open file to write

set outfile [open hinge.dat w]

for {set i $start} {$i <= $finish} {incr i} { 
    #puts "Now the residue number is: $i"
    set n $i
    set n_left [expr "$n - $length"]
    set n_right [expr "$n + $length"]


    set atom [atomselect top "protein and name CA and resid $n"]
    set a [$atom get index]

    set atom_left [atomselect top "protein and name CA and resid $n_left"]
    set a_left [$atom_left get index]

    set atom_right [atomselect top "protein and name CA and resid $n_right"]
    set a_right [$atom_right get index]
    
#####  standard diviation of angle #####
    set sum 0;
    set sum2 0;
    #puts "$i $a_left $a $a_right"
    for {set j $frame_start} {$j <= $frame_finish} {incr j} { 

        set angle1 [measure angle [list $a_left $a $a_right] frame $j]
        set sum [expr "$sum + $angle1"]
        set sum2 [expr "$sum2 + $angle1 **2"]
        #puts "$angle1 $sum $sum2"

    }
    set mean [expr "$sum / $n_frame"]
    set sd [expr "sqrt($sum2 / $n_frame - $mean ** 2)"]
    #puts "$i $mean $sd"
    puts [format "%i %.2f %.2f " $i $mean $sd]
    puts $outfile [format "%i %.2f %.2f " $i $mean $sd]

}

close $outfile


